<?php

define('PATH', $_SERVER['DOCUMENT_ROOT']);
include PATH .'/core/ajax/ajax_core.php';

if (!$inUser->id) cmsCore::halt();

$folder = cmsCore::request('folder', 'str', '');

if (mb_substr($folder, 0, '18') !== '/upload/userfiles/' or empty($folder)){
	cmsCore::halt();
}

if (!$inUser->is_admin and !mb_strstr($folder, '/upload/userfiles/'. $inUser->id)){
	cmsCore::halt();
}

$newfolder = rtrim(PATH . $folder, '/');

$parent = dirname($newfolder);
$folder = str_replace($parent.'/', '', $newfolder);

$folder = cmsCore::strToUrl($folder);

if (!is_writable($parent)){
	cmsCore::halt("Не возможно создать папку");
}

if (!file_exists ($parent .'/'. $folder)){
	mkdir($parent .'/'. $folder .'/');
    chmod($parent .'/'. $folder, 0777);
}else{
	echo "Папка уже существует.";
}

?>