/*** Translation ***/
LanguageDirectory="ru-RU";

function getTxt(s)
  {
  switch(s)
    {
    case "Save":return "Сохранить";
    case "Preview":return "Предпросмотр";
    case "Full Screen":return "Полный экран";
    case "Search":return "Найти";
    case "Check Spelling":return "Проверка орфографии";
    case "Text Formatting":return "Форматирование текста";
    case "List Formatting":return "Форматирование списка";
    case "Paragraph Formatting":return "Форматирование параграфа";
    case "Styles":return "Стили";
    case "Custom CSS":return "Пользовательские стили";
    case "Styles & Formatting":return "Стили и форматирование";
    case "Style Selection":return "Выбор стиля";
    case "Paragraph":return "Параграф";
    case "Font Name":return "Название шрифта";
    case "Font Size":return "Размер шрифта";
    case "Cut":return "Вырезать";
    case "Copy":return "Копировать";
    case "Paste":return "Вставить";
    case "Undo":return "Отменить";
    case "Redo":return "Повторить";
    case "Bold":return "Жирный";
    case "Italic":return "Курсив";
    case "Underline":return "Подчеркнутый";
    case "Strikethrough":return "Зачеркнутый";
    case "Superscript":return "Верхний индекс";
    case "Subscript":return "Индекс";
    case "Justify Left":return "По левому краю";
    case "Justify Center":return "По центру";
    case "Justify Right":return "По правому краю";
    case "Justify Full":return "По ширине";
    case "Numbering":return "Нумерованный";
    case "Bullets":return "Bullets";
    case "Indent":return "Отступ";
    case "Outdent":return "Убрать отступ";
    case "Left To Right":return "Слева направо";
    case "Right To Left":return "Справо налево";
    case "Foreground Color":return "Цвет текста";
    case "Background Color":return "Цвет фона";
    case "Hyperlink":return "Ссылка";
    case "Bookmark":return "Закладка";
    case "Special Characters":return "Спецсимволы";
    case "Image":return "Изображение";
    case "Flash":return "Флеш";
    case "Media":return "Медиа";
    case "Content Block":return "Контент блок";
    case "Internal Link":return "Внутренняя ссылка";
    case "Internal Image":return "Внутреннее изображение";
    case "Object":return "Объект";
    case "Insert Table":return "Вставить таблицу";
    case "Table Size":return "Размер таблицы";
    case "Edit Table":return "Редактировать таблицу";
    case "Edit Cell":return "Редактировать ячейку";
    case "Table":return "Таблица";
    case "AutoTable":return "Автоформатирование таблицы";
    case "Border & Shading":return "Границы и тени";
    case "Show/Hide Guidelines":return "Показать/Скрыть линии";
    case "Absolute":return "Абсолютно";
    case "Paste from Word":return "Вставить из Worda";
    case "Line":return "Линия";
    case "Form Editor":return "Редактор форм";
    case "Form":return "Форма";
    case "Text Field":return "Текстовое поле";
    case "List":return "Список";
    case "Checkbox":return "Флажок";
    case "Radio Button":return "Переключатель";
    case "Hidden Field":return "Скрытое поле";
    case "File Field":return "Поле загрузки файла";
    case "Button":return "Кнопка";
    case "Clean":return "Очистить";//not used
    case "View/Edit Source":return "Исходный код";
    case "Tag Selector":return "Выбрать тег";
    case "Clear All":return "Очистить все";
    case "Tags":return "Теги";

    case "Heading 1":return "Заголовок 1";
    case "Heading 2":return "Заголовок 2";
    case "Heading 3":return "Заголовок 3";
    case "Heading 4":return "Заголовок 4";
    case "Heading 5":return "Заголовок 5";
    case "Heading 6":return "Заголовок 6";
    case "Preformatted":return "Отформатированный";
    case "Normal (P)":return "Нормальный (P)";
    case "Normal (DIV)":return "Нормальный (DIV)";

    case "Size 1":return "Размер 1";
    case "Size 2":return "Размер 2";
    case "Size 3":return "Размер 3";
    case "Size 4":return "Размер 4";
    case "Size 5":return "Размер 5";
    case "Size 6":return "Размер 6";
    case "Size 7":return "Размер 7";

    case "Are you sure you wish to delete all contents?":
      return "Вы уверены, что хотите удалить все содержимое?";
    case "Remove Tag": return "Удалить тег";

    case "Custom Colors":return "Пользовательские цвета";
    case "More Colors...":return "Другие цвета...";
    case "Box Formatting":return "Box Formatting";
    case "Advanced Table Insert":return "Расширенный редактор таблиц";
    case "Edit Table/Cell":return "Редактировать Таблицу/Ячейку";
    case "Print":return "Печать";
    case "Paste Text":return "Вставить текст";
    case "CSS Builder":return "Генератор CSS";
    case "Remove Formatting":return "Удалить форматирование";
    case "Table Dimension Text": return "Таблица";
    case "Table Advance Link": return "Advanced";

    case "Fonts": return "Шрифты";    
    case "Text": return "Текст";
    case "Link": return "Ссылка";
    case "YoutubeVideo": return "Видео с YouTube";
    case "Search & Replace": return "Найти и Заменить";
    case "HTML Editor": return "HTML Редактор";
    case "Emoticons": return "Смайлики";
    case "PasteWarning": return "Пожалуйста используйте сочетание клавиш (CTRL-V)."; /*Your browser security settings don't permit this operation.*/
    case "Quote": return "Ковычки";
    default:return "";
    }
  }