<?php
/**************************************************************************/
//                           Live Editor v1.0.0                           //
//                       DS Soft (admin@ds-soft.ru)                       //
/**************************************************************************/

class p_liveeditor extends cmsPlugin {

// ==================================================================== //

    public function __construct(){

        parent::__construct();

        $this->info['plugin']           = 'p_liveeditor';
        $this->info['title']            = 'Live Editor';
        $this->info['description']      = 'Визуальный редактор на основе Live Editor';
        $this->info['author']           = 'DS SOFT';
        $this->info['version']          = '1.0.1';
        $this->info['type']             = 'wysiwyg';

        $this->events[]                 = 'INSERT_WYSIWYG';

        $this->config['FILE_BROWSER']   = 0;
        $this->config['CSS_BUTTONS']    = 0;
        $this->config['FLICKR']         = 0;
        $this->config['FILE_FORMATS']   = 'jpg|jpeg|gif|png|txt|pdf|zip';

    }

// ==================================================================== //

    public function install(){

        return parent::install();

    }

// ==================================================================== //

    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    public function execute($event='', $item=array()){

        parent::execute();

        $inUser = cmsUser::getInstance();

        if (empty($_SESSION['LE']['num'])){
            $_SESSION['LE']['num'] = 1;
        }else{
            $_SESSION['LE']['num']++;
        }
        $id = $_SESSION['LE']['num'];

        ob_start();
            echo '<textarea id="'. $item['name'] .'" name="'. $item['name'] .'" style="width:'. (mb_strstr($item['width'], '%') ? $item['width'] : $item['width'].'px') .';height:'. (mb_strstr($item['height'], '%') ? $item['height'] : $item['height'].'px') .';">'. htmlspecialchars($item['text']) .'</textarea>'. "\n";

            if (!defined('LIVEEDIT_JS')){
                echo '<script type="text/javascript" src="/plugins/p_liveeditor/LiveEditor/scripts/innovaeditor.js"></script>'. "\n";
                echo '<script language="Javascript" src="/plugins/p_liveeditor/LiveEditor/scripts/language/ru-RU/editor_lang.js"></script>'. "\n";
                echo '<script type="text/javascript">
                        var FCK_EDITMODE_WYSIWYG = 1;
                        var FCKeditorAPI = {
                            GetInstance: function(t){
                                return {
                                    "EditMode":1,
                                    InsertHtml: function(text){
                                        var obj = parent.oUtil.obj;
                                        obj.insertHTML(text);
                                    }
                                };
                            },
                        }
                    </script>'. "\n";
                define('LIVEEDIT_JS', 1);
            }

            echo '<script type="text/javascript">
                    var oEdit'.$id.' = new InnovaEditor("oEdit'.$id.'");
                    oEdit'.$id.'.width = '. (mb_strstr($item['width'], '%') ? '"'. $item['width'] .'"' : $item['width']) .';
                    oEdit'.$id.'.height = '. (mb_strstr($item['height'], '%') ? '"'. $item['height'] .'"' : $item['height']) .';
                    oEdit'.$id.'.css = "/plugins/p_liveeditor/LiveEditor/styles/default.css";'. "\n";
            if ($inUser->is_admin){
                echo 'oEdit'.$id.'.groups = [
                    ["group1", "", ["FontName", "FontSize", "Superscript", "ForeColor", "BackColor", "FontDialog", "BRK", "Bold", "Italic", "Underline", "Strikethrough", "TextDialog","CompleteTextDialog", "Styles", "RemoveFormat"]],
                    ["group2", "", ["Bullets", "Numbering", "Indent", "Outdent", "Paragraph", "BRK", "JustifyLeft", "JustifyCenter", "JustifyRight", "JustifyFull", "Line"]],
                    ["group3", "", ["InternalLink", "Table","TableDialog", "Emoticons", "BRK", "FlashDialog", "LinkDialog", "ImageDialog", "YoutubeDialog"]],
                    ["group4", "", ["CharsDialog", "SearchDialog", "SourceDialog", "BRK", "Undo", "Redo", "FullScreen"]]
                ];'. "\n";
            }

            if ($inUser->is_admin or $this->config['FILE_BROWSER'] == 1){
                echo 'oEdit'.$id.'.fileBrowser = "/plugins/p_liveeditor/LiveEditor/assetmanager/asset.php";'. "\n";
            }

            if ($inUser->is_admin or $this->config['FLICKR'] == 1){
                echo 'oEdit'.$id.'.enableFlickr = true;'. "\n";
            }
            
            if ($inUser->is_admin or $this->config['CSS_BUTTONS'] == 1){
                echo 'oEdit'.$id.'.enableCssButtons = true;'. "\n";
            }

            echo '   oEdit'.$id.'.REPLACE("'. $item['name'] .'");
                    oUtil.langDir = "ru-RU";
                </script>';

        return ob_get_clean();

    }

}

?>
